#
# shareid.sh,  9 Jul 03
#
# Count the number of identifiers shared by each pair
# of source code bases

SHARE_FILE="shareid.t"

for col in *c.uniq
   do
   prog_name=`basename $col .c.uniq`
   echo -n " ,, " ${prog_name%%-*}
   done
echo ""
echo "NEW-LINE"

for row in *c.uniq
   do
   prog_name=`basename $row .c.uniq`
   echo ${prog_name%%-*}
   for col in *.c.uniq
      do
      if test $row == $col
      then
         echo "--"
      else
         join $row $col | wc -l
      fi
      done
   echo "NEW-LINE"
   done

